Supported Formats

json

Errors

Code Description
401 Unauthorized
500 Server crashed for some <%= reason %>

Examples

GET /MedicationRequest?patient=1&access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
  "resourceType": "Bundle",
  "id": "5ee694325d1c0707d9f8e1cd432170d5",
  "type": "searchset",
  "entry": [
    {
      "full_url": "/MedicationRequest/1008",
      "resource": {
        "resourceType": "MedicationRequest",
        "id": "1008",
        "meta": {
          "versionId": "1",
          "lastUpdated": "2021-03-23T19:36:17.299+00:00",
          "source": "#E1VolYkq84D3M96u",
          "profile": [
            "http://hl7.org/fhir/us/core/StructureDefinition/us-core-medicationrequest"
          ]
        },
        "status": "completed",
        "intent": "proposal",
        "category": [
          {
            "coding": [
              {
                "system": "http://terminology.hl7.org/CodeSystem/medicationrequest-category",
                "code": "community",
                "display": "Community"
              }
            ]
          }
        ],
        "reportedBoolean": true,
        "medicationCodeableConcept": {
          "coding": [
            {
              "system": "http://www.nlm.nih.gov/research/umls/rxnorm",
              "code": "1243440",
              "display": "Tylenol 650 MG 8HR Extended Release Oral Tablet"
            }
          ]
        },
        "subject": {
          "reference": "Patient/1",
          "display": " "
        },
        "encounter": {
          "reference": "Encounter/{}",
          "display": "Office Visit"
        },
        "reasonReference": [
          {
            "reference": "Condition/"
          }
        ],
        "authoredOn": {
          "valueQuantity": {
            "extension": {
              "url": "http://hl7.org/fhir/StructureDefinition/data-absent-reason",
              "valueCode": "unknown"
            }
          },
          "dataAbsentReason": {
            "coding": [
              {
                "system": "http://terminology.hl7.org/CodeSystem/data-absent-reason",
                "code": "unknown",
                "display": "Unknown"
              }
            ],
            "text": "Unknown"
          }
        },
        "requester": {
          "reference": "Practitioner/",
          "display": " "
        },
        "dosageInstruction": [
          {
            "text": "650 MG",
            "asNeededBoolean": true,
            "doseAndRate": [
              {
                "doseQuantity": {
                  "value": 650.0,
                  "unit": "MG",
                  "system": "http://unitsofmeasure.org",
                  "code": "MG"
                }
              }
            ]
          }
        ],
        "dispenseRequest": {
          "numberOfRepeatsAllowed": 0,
          "quantity": {
            "value": 650.0,
            "unit": "MG",
            "system": "http://unitsofmeasure.org",
            "code": "MG"
          }
        }
      }
    }
  ],
  "total": 1
}
GET /MedicationRequest?patient=1&access_token=Pn4p4dV8wKy5p8awLR9CYQRWdsgNYLRxRef5DdYEDt1smi6jkMbfu2Zmp9q3Svkh
200
{
  "resourceType": "Bundle",
  "id": "680e50c3fe58eb2fce8dfb12c97826f7",
  "type": "searchset",
  "entry": [
    {
      "full_url": "/MedicationRequest/1008",
      "resource": {
        "resourceType": "MedicationRequest",
        "id": "1008",
        "meta": {
          "versionId": "1",
          "lastUpdated": "2021-03-23T19:36:17.299+00:00",
          "source": "#E1VolYkq84D3M96u",
          "profile": [
            "http://hl7.org/fhir/us/core/StructureDefinition/us-core-medicationrequest"
          ]
        },
        "status": "completed",
        "intent": "proposal",
        "category": [
          {
            "coding": [
              {
                "system": "http://terminology.hl7.org/CodeSystem/medicationrequest-category",
                "code": "community",
                "display": "Community"
              }
            ]
          }
        ],
        "reportedBoolean": true,
        "medicationCodeableConcept": {
          "coding": [
            {
              "system": "http://www.nlm.nih.gov/research/umls/rxnorm",
              "code": "1243440",
              "display": "Tylenol 650 MG 8HR Extended Release Oral Tablet"
            }
          ]
        },
        "subject": {
          "reference": "Patient/1",
          "display": " "
        },
        "encounter": {
          "reference": "Encounter/{}",
          "display": "Office Visit"
        },
        "reasonReference": [
          {
            "reference": "Condition/"
          }
        ],
        "authoredOn": {
          "valueQuantity": {
            "extension": {
              "url": "http://hl7.org/fhir/StructureDefinition/data-absent-reason",
              "valueCode": "unknown"
            }
          },
          "dataAbsentReason": {
            "coding": [
              {
                "system": "http://terminology.hl7.org/CodeSystem/data-absent-reason",
                "code": "unknown",
                "display": "Unknown"
              }
            ],
            "text": "Unknown"
          }
        },
        "requester": {
          "reference": "Practitioner/",
          "display": " "
        },
        "dosageInstruction": [
          {
            "text": "650 MG",
            "asNeededBoolean": true,
            "doseAndRate": [
              {
                "doseQuantity": {
                  "value": 650.0,
                  "unit": "MG",
                  "system": "http://unitsofmeasure.org",
                  "code": "MG"
                }
              }
            ]
          }
        ],
        "dispenseRequest": {
          "numberOfRepeatsAllowed": 0,
          "quantity": {
            "value": 650.0,
            "unit": "MG",
            "system": "http://unitsofmeasure.org",
            "code": "MG"
          }
        }
      }
    }
  ],
  "total": 1
}

Params

Param name Description
access_token
optional

CarePaths User OAuth Token

Validations:

  • Must be String.

patient
optional

Patient ID

Validations:

  • Must be number.

intent
optional

Intent of Medication (proposal, plan, order, etc.)

Validations:

  • Must be string.

status
optional

Status of Medication Request (completed, planned, etc.)

Validations:

  • Must be string.

start_date
optional

Start date for dataset; Format YYYY-MM-DD

Validations:

  • Must be Date.

end_date
optional

End date for dataset; Format YYYY-MM-DD

Validations:

  • Must be Date.

Returns

Code: 200

Description:

List of resources

Param name Description
resource_type
required

Bundle

Validations:

  • Must be String.

type
required

Validations:

  • Must be String.